package com.chenyang.nse.bussiness.entity.vo.strategy;

import java.util.Date;

public class TCoreDesensitizationStrategyVO {
   private String strategyName;
   private String remarks;
   private String roleGroup;
   private String state;
   private String strategyId;
   private String datasystem_id;
   private String tschemas;
   private String names;
   private String table_field_id;
   private String projectid;
   private String dataareaid;
   private String dataareaname;
   private String ruleid;
   private String rulename;
   private String createuser;
   private Date createtime;
   private int pageno;
   private int pagesize;

   public String getStrategyName() {
      return this.strategyName;
   }

   public void setStrategyName(String strategyName) {
      this.strategyName = strategyName;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getRoleGroup() {
      return this.roleGroup;
   }

   public void setRoleGroup(String roleGroup) {
      this.roleGroup = roleGroup;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getStrategyId() {
      return this.strategyId;
   }

   public void setStrategyId(String strategyId) {
      this.strategyId = strategyId;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getTable_field_id() {
      return this.table_field_id;
   }

   public void setTable_field_id(String table_field_id) {
      this.table_field_id = table_field_id;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getDataareaname() {
      return this.dataareaname;
   }

   public void setDataareaname(String dataareaname) {
      this.dataareaname = dataareaname;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public int getPageno() {
      return this.pageno;
   }

   public void setPageno(int pageno) {
      this.pageno = pageno;
   }

   public int getPagesize() {
      return this.pagesize;
   }

   public void setPagesize(int pagesize) {
      this.pagesize = pagesize;
   }
}
